All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.ipage
Class IFormTextEntryTag

    com.sas.taglib.servlet.tbeans.ipage.IFormTextEntryTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class IFormTextEntryTag

IFormTextEntryTag is the tag handler class for the sas:IFormTextEntry custom tag IFormTextEntryTag is invoked by the JSP page to evaluate the sas:IFormTextEntry custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, IFormTextEntry, to execute the methods.

If you need to extend or modify the functionality of the sas:IFormTextEntry custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:IFormTextEntry custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `BaseIPage`, `IForm`, `IFormTextEntryTag`, `IFormPasswordTag`, `IFormRadioTag`, `IFormListBoxTag`, `IFormHiddenTag`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.ipage.BaseIFormElementTag
`form`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`IFormTextEntryTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying IForm object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Process the start tag for this instance.
`java.lang.String` | `getFormat()` Gets the format for this element
`java.lang.String` | `getValue()` Gets the default text value of the element.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setFormat(java.lang.String format)` Sets the format for this element
`void` | `setValue(java.lang.String value)` Sets the default text value of this element shown when the element is first displayed.

Methods inherited from class com.sas.taglib.servlet.tbeans.ipage.BaseIFormElementTag
`getAcceptLabel, getPrompt, getShortPrompt, setAcceptLabel, setPrompt, setShortPrompt`

Methods inherited from class com.sas.taglib.servlet.tbeans.ipage.BaseIPageTag
`getCacheTimeToLive, getTitle, setCacheTimeToLive, setTitle`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### IFormTextEntryTag

    public IFormTextEntryTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseIFormElementTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setValue

    public void setValue(java.lang.String value)

  Sets the default text value of this element shown when the element is first displayed. If this member is not set, then the text entry field will contain no value.

  Parameters:
    `text` - The default text value String

### getValue

    public java.lang.String getValue()

  Gets the default text value of the element.

  Returns:
    The default text value String

### setFormat

    public void setFormat(java.lang.String format)

  Sets the format for this element

  Parameters:
    `format` - The format for this element

### getFormat

    public java.lang.String getFormat()

  Gets the format for this element

  Returns:
    format The format for this element

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying IForm object.

  Overrides:
    `applyAttributes` in class `BaseIFormElementTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.